/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  17-Dec-04, J Love, GST	Original version.
*  26-Aug-05, J Love, GST	Added initial settings.
*   8-Feb-06, J Love, GST	Appearance tweaking.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.client;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import javax.swing.*;

public class PictureControls extends JPanel {
  private IntegerSlider brightnessSlider;
  private RealSlider contrastSlider;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * PictureControls.
  ****************************************************************************/
  public PictureControls (double initialContrast, int initialBrightness) {
    setLayout(new BoxLayout(this,BoxLayout.X_AXIS));
    brightnessSlider = new IntegerSlider(-99,initialBrightness,99,"Brightness setting (added to values that have been scaled 0 to 255).  Applied after contrast adjustment.");
    contrastSlider = new RealSlider(0.0,initialContrast,9.99,"Contrast setting (values scaled 0 to 255 are multiplied by this setting).  Applied before brightness adjustment.");
    add(new HPanel(new JLabel("Contrast:"),contrastSlider,GUtil.HSpace(15),new JLabel("Brightness:"),brightnessSlider));
  }
  /****************************************************************************
  * getContrast.
  ****************************************************************************/
  public double getContrast () {
    return contrastSlider.getValue();
  }
  /****************************************************************************
  * getBrightness.
  ****************************************************************************/
  public int getBrightness () {
    return brightnessSlider.getValue();
  }
  /****************************************************************************
  * adjustValue.
  ****************************************************************************/
  public int adjustValue (int value) {
    return Util.adjustValue(value,contrastSlider.getValue(),brightnessSlider.getValue());
  }
}
