/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  30-Sep-04, J Love, GST	Original version.
*   8-Nov-05, J Love, GST	Geolocation, etc.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.client;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import java.awt.image.*;

public interface ViewHandler {
  // Platforms...
  public static final String[] platformChoices = new String[] {
    "TERRA","AQUA","NPP"
  };
  public static final int TERRA_PLATFORM = 0;
  public static final int AQUA_PLATFORM = 1;
  public static final int NPP_PLATFORM = 2;
  // AQUA and TERRA views...
  public static final String[] terraAquaViewChoices = new String[] {
    "MODIS Classic (Day)","MODIS Classic (Night)","MODIS True Color (Day)",
    "MODIS Infrared (Night)", "All MODIS Bands (Day)","All MODIS Bands (Night)",
    "MODIS False Color","Single MODIS Band"
  };
  public static final int MODIS_CLASSIC_DAY = 0;
  public static final int MODIS_CLASSIC_NIGHT = 1;
  public static final int MODIS_TRUE_COLOR_DAY = 2;
  public static final int MODIS_INFRARED_NIGHT = 3;
  public static final int ALL_MODIS_BANDS_DAY = 4;
  public static final int ALL_MODIS_BANDS_NIGHT = 5;
  public static final int MODIS_FALSE_COLOR = 6;
  public static final int SINGLE_MODIS_BAND = 7;
  // NPP views...
  public static final String[] nppViewChoices = new String[] {
    "VIIRS Classic (Day)","VIIRS Classic (Night)","VIIRS True Color (Day)",
    "VIIRS Infrared (Night)", "All VIIRS Bands (Day)","All VIIRS Bands (Night)",
    "VIIRS False Color","Single VIIRS Band","ATMS","CrIS","OMPS"
  };
  public static final int VIIRS_CLASSIC_DAY = 0;
  public static final int VIIRS_CLASSIC_NIGHT = 1;
  public static final int VIIRS_TRUE_COLOR_DAY = 2;
  public static final int VIIRS_INFRARED_NIGHT = 3;
  public static final int ALL_VIIRS_BANDS_DAY = 4;
  public static final int ALL_VIIRS_BANDS_NIGHT = 5;
  public static final int VIIRS_FALSE_COLOR = 6;
  public static final int SINGLE_VIIRS_BAND = 7;
  public static final int ATMS = 8;
  public static final int CrIS = 9;
  public static final int OMPS = 10;
  // Methods...
  public void playStarting ();
  public void clear ();
  public String getRequestMessage (String passName);
  public void headerBlock (HeaderBlock headerBlock) throws Exception;
  public void scanGroup (ScanGroup scanGroup) throws Exception;
  public void playStopped ();
  public BufferedImage getBufferedImage ();
}
