/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CONSOLE
*
*  History:
*
*  12-Nov-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Clean up.
*  10-Jan-07, J Love, GST	Dealt with IPv6.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.console;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import javax.swing.*;

public class ConsoleHandler extends HPanel {
  private String id;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * ConsoleHandler.
  ****************************************************************************/
  public ConsoleHandler (XmlParser parser) throws Exception {
    id = parser.getAttributeValue("id");
    long connectedAt = Long.parseLong(parser.getElementValue("connectedAt"));
    String remoteHostPort = parser.getElementValue("remoteHostPort");
    String text = id + ", " + Util.encodeHostPort(remoteHostPort) +
		  ", at " + Util.encodeDateTime(connectedAt);
    JLabel label = new JLabel(text);
    add(new HPanel(label,GUtil.HGlue()));
  }
  /****************************************************************************
  * getId.
  ****************************************************************************/
  public String getId () {
    return id;
  }
}
