/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CONSOLE
*
*  History:
*
*   6-Dec-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Clean up.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.console;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import javax.swing.*;

public class PingHandler extends VPanel {
  private String id;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * PingHandler.
  ****************************************************************************/
  public PingHandler (XmlParser parser) throws Exception {
    StationPassParameters passParameters = new StationPassParameters(parser.getElement("stationPassParameters"));
    id = passParameters.passType;
    String[] lines = passParameters.toLines();
    VPanel panel = new VPanel();
    for (int i = 1; i < lines.length; i++) {
       panel.add(new HPanel(new JLabel(lines[i]),GUtil.HGlue()));
    }
    String text = lines[0] + ", at " + Util.encodeDateTime(System.currentTimeMillis());
    add(new ArrowPanel(false,ArrowButton.RIGHT,text,18,panel));
  }
  /****************************************************************************
  * getId.
  ****************************************************************************/
  public String getId () {
    return id;
  }
}
