/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CONSOLE
*
*  History:
*
*  19-Nov-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Clean up.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.console;
import gov.nasa.gsfc.aisb.simulcast.util.*;

public class PingManager extends HPanel {
  private ArrowPanel arrowPanel;
  private StringMap handlers = new StringMap();
  private VPanel handlersPanel;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * PingManager.
  ****************************************************************************/
  public PingManager () {
    handlersPanel = new VPanel();
    arrowPanel = new ArrowPanel(false,ArrowButton.DOWN,"Pings",18,handlersPanel);
    add(new HPanel(arrowPanel,GUtil.HGlue()));
  }
  /****************************************************************************
  * pingReceived.
  ****************************************************************************/
  public void pingReceived (XmlParser parser) throws Exception {
    PingHandler handler = new PingHandler(parser);
    if (handlers.contains(handler.getId())) {
      PingHandler oldHandler = (PingHandler) handlers.get(handler.getId());
      handlersPanel.remove(oldHandler);
    }
    handlers.put(handler.getId(),handler);
    handlersPanel.add(handler);
    revalidate();
    repaint();
  }
}
