/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CONSOLE
*
*  History:
*
*  23-Nov-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Clean up, etc.
*  10-Jan-07, J Love, GST	Dealt with IPv6.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.console;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import javax.swing.*;

public class PlayerHandler extends HPanel {
  private String id;
  private String clientId;
  private JLabel label;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * PlayerHandler.
  ****************************************************************************/
  public PlayerHandler (XmlParser parser) throws Exception {
    id = parser.getAttributeValue("id");
    clientId = parser.getElementValue("clientId");
    long connectedAt = Long.parseLong(parser.getElementValue("connectedAt"));
    String remoteHostPort = parser.getElementValue("remoteHostPort");
    String text = id + ", " + Util.encodeHostPort(remoteHostPort) +
    		  ", at " + Util.encodeDateTime(connectedAt);
    label = new JLabel(text);
    add(new HPanel(label,GUtil.HGlue()));
  }
  /****************************************************************************
  * getId.
  ****************************************************************************/
  public String getId () {
    return id;
  }
  /****************************************************************************
  * getClientId.
  ****************************************************************************/
  public String getClientId () {
    return clientId;
  }
  /****************************************************************************
  * update.
  ****************************************************************************/
  public void update (XmlParser parser) throws Exception {
    StringBuffer text = new StringBuffer(label.getText());
    text.append(", " + parser.getElementValue("passName"));
    /*
    XmlParser[] parsers = parser.getElement("outputBands").getElements("outputBand");
    for (int i = 0; i < parsers.length; i++) {
       int bandIndex = Integer.parseInt(parsers[i].getElementValue("bandIndex"));
       text.append(", Band " + Integer.toString(bandIndex+1) + " (" +
       		   parsers[i].getElementValue("resolution") + " meter)");
    }
    */
    label.setText(text.toString());
  }
}
