/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CONSOLE
*
*  History:
*
*  10-Feb-06, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.console;
import gov.nasa.gsfc.aisb.simulcast.util.*;

public class ServerManager extends VPanel {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * ServerManager.
  ****************************************************************************/
  public ServerManager () {

  }
  /****************************************************************************
  * addServer.
  ****************************************************************************/
  public void addServer (ServerHandler handler) {
    add(handler);
    Util.startThread(handler);
    revalidate();
    repaint();
  }
  /****************************************************************************
  * removeServer.
  ****************************************************************************/
  public void removeServer (ServerHandler handler) {
    remove(handler);
    revalidate();
    repaint();
  }
}
