/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/IMAGES
*
*  History:
*
*  17-Aug-04, J Love, GST		Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.images.handler;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import javax.mail.*;
import javax.mail.internet.*;

public class MailDestination {
  private String smtpHost;
  private String[] toAddresses;
  private String[] ccAddresses;
  private String fromAddress;
  /****************************************************************************
  * MailDestination.
  ****************************************************************************/
  public MailDestination (XmlParser parser) throws Exception {
    smtpHost = parser.getElementValue("smtpHost");
    toAddresses = parser.getElement("toAddresses").getElementValues("toAddress");
    ccAddresses = parser.getElement("ccAddresses").getElementValues("ccAddress");
    fromAddress = parser.getElementValue("fromAddress");
  }
  /****************************************************************************
  * getSmtpHost.
  ****************************************************************************/
  public String getSmtpHost () {
    return smtpHost;
  }
  /****************************************************************************
  * loadMessage.
  ****************************************************************************/
  public void loadMessage (Message msg) throws Exception {
    msg.setFrom(new InternetAddress(fromAddress));
    for (int i = 0; i < toAddresses.length; i++) {
       msg.addRecipients(Message.RecipientType.TO,InternetAddress.parse(toAddresses[i],false));
    }
    for (int i = 0; i < ccAddresses.length; i++) {
       msg.addRecipients(Message.RecipientType.CC,InternetAddress.parse(ccAddresses[i],false));
    }
  }
}
