/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/IMAGES
*
*  History:
*
*  17-Aug-04, J Love, GST		Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.images.handler;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import java.io.*;

public class ScpDestination {
  private String user;
  private String host;
  private String dir;
  /****************************************************************************
  * ScpDestination.
  ****************************************************************************/
  public ScpDestination (XmlParser parser) throws Exception {
    user = parser.getElementValue("user");
    host = parser.getElementValue("host");
    dir = parser.getElementValue("dir");
  }
  /****************************************************************************
  * getCmd.
  ****************************************************************************/
  public String getCmd (File file) {
    return "scp " + file.getAbsolutePath() + " " + user + "@" + host + ":" +
    	   dir + "/" + file.getName();
  }
}
