/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   8-Feb-06, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.processor;
import java.util.*;

public class HandlerCache {
  private LinkedList<PassHandler> handlers = new LinkedList<PassHandler>();
  /****************************************************************************
  * put.
  ****************************************************************************/
  public synchronized void put (PassHandler handler) {
    if (handler != null) {
      handlers.add(handler);
    }
  }
  /****************************************************************************
  * get.
  ****************************************************************************/
  public synchronized PassHandler get (Class handlerClass) throws Exception {
    Iterator<PassHandler> it = handlers.iterator();
    while (it.hasNext()) {
      PassHandler handler = it.next();
      if (handlerClass.isInstance(handler)) {
        it.remove();
        return handler;
      }
    }
    return (PassHandler) handlerClass.newInstance();
  }
}
