/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/PROCESSOR
*
*  History:
*
*  21-Jul-05, J Love, GST	Original version.
*  19-Jan-07, J Love, GST	Use of sc.home property.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.processor;
import gov.nasa.gsfc.aisb.simulcast.util.*;

public class LUTsManager {
  private StringMap luts = new StringMap();
  /****************************************************************************
  * get.
  ****************************************************************************/
  public synchronized LUTs get (String binPath) throws Exception {
    if (luts.contains(binPath)) {
      return (LUTs) luts.get(binPath);
    }
    LUTs lut = new LUTs(Util.getFile(binPath));
    luts.put(binPath,lut);
    return lut;
  }
}
