/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/ROUTER
*
*  History:
*
*   6-Dec-04, J Love, GST	Original version.
*  18-Apr-05, J Love, GST	Routes to multiple processors.
*   7-Aug-05, J Love, GST	Geolocation, etc.
*  10-Jan-07, J Love, GST	Dealt with IPv6.
*   1-Feb-07, J Love, GST	Deamon threads for Windows service.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.router;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import java.net.*;

public class TerraModisHandler implements PassHandler {
  private static final String passType = "terra/modis";
  /****************************************************************************
  * start.
  ****************************************************************************/
  public Thread start (Socket inSocket, GroundStation groundStation,
  		       HostPort[] processorAddrs, HostPort inputAddr) {
    StationPassParameters passParameters = new StationPassParameters(passType,groundStation,inputAddr.toString(),this.getClass().getName());
    return Util.startThread(new ModisHandler(inSocket,processorAddrs,passParameters),true);
  }
}
