/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/SERVER
*
*  History:
*
*   9-Jun-04, J Love, GST	Original version.
*  17-Jun-05, J Love, GST	Geolocation.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.server;

class InputBand {
  private int bandOffset;	// Position within data block.
  private int bandIndex;	// Absolute index (0-37).
  private int resolution;
  private int nBlockRows;
  private int nBlockCols;
  /****************************************************************************
  * InputBand (constructor).
  ****************************************************************************/
  public InputBand (int bandOffset, int bandIndex, int resolution,
  		    int nBlockRows, int nBlockCols) {
    this.bandOffset = bandOffset;
    this.bandIndex = bandIndex;
    this.resolution = resolution;
    this.nBlockRows = nBlockRows;
    this.nBlockCols = nBlockCols;
  }
  /****************************************************************************
  * getBandOffset.
  ****************************************************************************/
  public int getBandOffset () {
    return bandOffset;
  }
  /****************************************************************************
  * getBandIndex.
  ****************************************************************************/
  public int getBandIndex () {
    return bandIndex;
  }
  /****************************************************************************
  * getBandResolution.
  ****************************************************************************/
  public int getBandResolution () {
    return resolution;
  }
  /****************************************************************************
  * getBlockRowCount.
  ****************************************************************************/
  public int getBlockRowCount () {
    return nBlockRows;
  }
  /****************************************************************************
  * getBlockColCount.
  ****************************************************************************/
  public int getBlockColCount () {
    return nBlockCols;
  }
}
