/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
package gov.nasa.gsfc.aisb.simulcast.test;

public class GeoTest3 {
  private static final int X = 0;
  private static final int Y = 1;
  private static final int Z = 2;
  /****************************************************************************
  * main.
  ****************************************************************************/
  public static void main (String[] args) throws Exception {
    double A = 55.0;
    double B = 0.4;
    double[] pt = new double[] {1.0,tan(A),0.0};

    double d = Math.sqrt((pt[X]*pt[X]) + (pt[Z]*pt[Z]));
    pt[X] = d * cos(B);
    pt[Z] = d * sin(B);
    
    pt[Z] = Math.sqrt((pt[Y]*pt[Y]) + (pt[Z]*pt[Z]));
    pt[Y] = 0.0;
    
    d = Math.sqrt((pt[X]*pt[X]) + (pt[Z]*pt[Z]));
    double C = acos(pt[X]/d);

    double d1, alt = 705.0, scD = 7000.0;
    double aB = 180.0 - asin((scD * sin(C)) / (scD - alt));
    double aA = 180.0 - aB - C;
    d1 = (scD * sin(aA)) / sin(aB);
    System.out.println("d1: " + d1);
  }
  private static double sin (double degrees) {
    return Math.sin(Math.toRadians(degrees));
  }
  private static double cos (double degrees) {
    return Math.cos(Math.toRadians(degrees));
  }
  private static double tan (double degrees) {
    return Math.tan(Math.toRadians(degrees));
  }
  private static double asin (double value) {
    return Math.toDegrees(Math.asin(value));
  }
  private static double acos (double value) {
    return Math.toDegrees(Math.acos(value));
  }
  /*
  private static double atan (double value) {
    return Math.toDegrees(Math.atan(value));
  }
  */
}
