/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
package gov.nasa.gsfc.aisb.simulcast.test;
import gov.nasa.gsfc.drl.geo.sgp4.*;
import java.text.*;

public class Test1 {
  private static final String[] tle = new String[] {
    "TERRA",
    "1 25994U 99068A   05084.11431949  .00000159  00000-0  45270-4 0   909",
    "2 25994  98.2107 159.9954 0001087 104.1319 256.0007 14.57101985280152"
  };
  private static final DecimalFormat pt7 = new DecimalFormat("0.0000000");
  /****************************************************************************
  * main.
  ****************************************************************************/
  public static void main (String[] args) throws Exception {
    Orbit orbit = new Orbit(new TLE(tle[0],tle[1],tle[2]));
    System.out.println("orbit tle time: " + orbit.getTleTime());
    for (double tsince = -657.9; tsince < -657.0; tsince += (1.477 / 60)) {
        // double tsince = (((scanMs - orbit.getTleTime()) / 1000.0) / 60.0);
        ECI eci = orbit.getPosition(tsince);
        // System.out.println(pt7.format(tsince) + " " + pt7.format(eci.getPos().m_x) + " " + pt7.format(eci.getPos().m_y) + " " + pt7.format(eci.getPos().m_z));
        CoordGeo geo = eci.toGeo();
        // System.out.println(pt7.format(tsince) + " " + pt7.format(geo.m_Lat) +  " " + pt7.format(geo.m_Lon) + " " + pt7.format(geo.m_Alt));
        System.out.println(pt7.format(tsince) + " " + pt7.format(Globals.rad2deg(geo.m_Lat)) + " " + pt7.format(Globals.rad2deg(geo.m_Lon)) + " " + geo.m_Alt);
    }
  }
}
