/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   8-Sep-04, J Love, GST	Original version.
*  24-Feb-05, J Love, GST	More methods.
*   8-Feb-06, J Love, GST	Java 1.5.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.util.*;

public class ClassList {
  private LinkedList<Object> instances = new LinkedList<Object>();
  /****************************************************************************
  * ClassList.
  ****************************************************************************/
  public ClassList () {

  }
  /****************************************************************************
  * getFirst.
  ****************************************************************************/
  public Object getFirst () {
    return instances.getFirst();
  }
  /****************************************************************************
  * addFirst.
  ****************************************************************************/
  public void addFirst (Object instance) {
    instances.addFirst(instance);
  }
  /****************************************************************************
  * addLast.
  ****************************************************************************/
  public void addLast (Object instance) {
    instances.addLast(instance);
  }
  /****************************************************************************
  * get.
  ****************************************************************************/
  public Object get (Class classType) {
	for (Object instance : instances) {
      if (classType.isInstance(instance)) {
      	return instance;
      }
    }
    return null;
  }
  /****************************************************************************
  * remove.
  ****************************************************************************/
  public Object remove (Class classType) {
    Iterator it = instances.iterator();
    while (it.hasNext()) {
      Object instance = (Object) it.next();
      if (classType.isInstance(instance)) {
      	it.remove();
      	return instance;
      }
    }
    return null;
  }
  /****************************************************************************
  * contains.
  ****************************************************************************/
  public boolean contains (Object o) {
    return instances.contains(o);
  }
  /****************************************************************************
  * iterator.
  ****************************************************************************/
  public Iterator<Object> iterator () {
    return instances.iterator();
  }
  /****************************************************************************
  * size.
  ****************************************************************************/
  public int size () {
    return instances.size();
  }
}
