/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  30-Jun-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Java 1.5.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;
import javax.swing.*;

public class ColorPanel extends JPanel {
  private int width;
  private int height;
  private Color color;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * ColorPanel.
  ****************************************************************************/
  public ColorPanel (int width, int height, Color color) {
    this.width = width;
    this.height = height;
    this.color = color;
    Dimension dims = new Dimension(width,height);
    setMinimumSize(dims);
    setPreferredSize(dims);
    setMaximumSize(dims);
  }
  public void paint (Graphics g) {
    g.setColor(color);
    g.fillRect(0,0,width,height);
    g.setColor(Color.black);
    g.drawRect(0,0,width-1,height-1);
  }
}
