/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  11-Jul-06, J Love, GST	Original version.
*  17-Oct-06, J Love, GST	Added get/setSelection.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import javax.swing.*;

public class CustomCombo extends JComboBox {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * CustomCombo.
  ****************************************************************************/
  public CustomCombo (String[] items) {
    super(items);
    setMaximumSize(getPreferredSize());
  }
  public CustomCombo (String[] items, int index) {
    super(items);
    setMaximumSize(getPreferredSize());
    setSelectedIndex(index);
  }
  public CustomCombo (String[] items, String item) {
    super(items);
    setMaximumSize(getPreferredSize());
    int index = Util.indexOf(item,items);
    if (index == -1) {
      index = 0;
    }
    setSelectedIndex(index);
  }
  /****************************************************************************
  * getSelection.
  ****************************************************************************/
  public String getSelection () {
    return (String) getSelectedItem();
  }
  /****************************************************************************
  * setSelection.
  ****************************************************************************/
  public void setSelection (String item) {
    for (int i = 0; i < getItemCount(); i++) {
       if (item.equals((String)getItemAt(i))) {
	 setSelectedIndex(i);
	 break;
       }
    }
  }
}
