/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  History:
*
*  10-Feb-06, J Love	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;
import javax.swing.*;

public class CustomLabel extends JLabel{
  private static final Font defaultFont = new Font("SansSerif",Font.BOLD,12);
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * CustomLabel.
  ****************************************************************************/
  public CustomLabel (String text) {
    super(text);
    set(Color.black,new Font("SansSerif",Font.BOLD,12));
  }
  public CustomLabel (String text, int width) {
    super(text);
    set(Color.black,defaultFont);
    Dimension dims = new Dimension(width,getPreferredSize().height);
    setMinimumSize(dims);
    setPreferredSize(dims);
    setMaximumSize(dims);
  }
  public CustomLabel (String text, Font font) {
    super(text);
    set(Color.black,font);
  }
  public CustomLabel (String text, Color color) {
    super(text);
    set(color,defaultFont);
  }
  /****************************************************************************
  * set.
  ****************************************************************************/
  private void set (Color color, Font font) {
    setForeground(color);
    setFont(font);
  }
  /****************************************************************************
  * update.
  ****************************************************************************/
  public void update (String text) {
    setText(text);
  }
  public void update (String text, Color color) {
    setForeground(color);
    setText(text);
  }
}
