/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  19-May-05, J Love, GST	Original version.
*  19-Dec-05, J Love, GST	Geolocation, etc.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.io.*;

public class ErrorBlock implements Block {
  private String text;
  /****************************************************************************
  * ErrorBlock.
  ****************************************************************************/
  public ErrorBlock (String text) {
    this.text = text;
  }
  public ErrorBlock (DataInput in) throws Exception {
    read(in);
  }
  /****************************************************************************
  * read.
  ****************************************************************************/
  public void read (DataInput in) throws Exception {
    text = in.readUTF();
  }
  /****************************************************************************
  * getText.
  ****************************************************************************/
  public String getText () {
    return text;
  }
  /****************************************************************************
  * write.
  ****************************************************************************/
  public void write (DataOutput out) throws Exception {
    out.writeInt(Simulcast.ERROR_BLOCK_CODE);
    out.writeUTF(text);
  }
}
