/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  26-Aug-05, J Love, GST	Original version.
*   9-Dec-05, J Love, GST	Geolocation, etc.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;

public class GroundStationOverlay {
  private GroundStations groundStations;
  private MapParms mapParms;
  /****************************************************************************
  * GroundStationOverlay.
  ****************************************************************************/
  public GroundStationOverlay (GroundStations groundStations, MapParms mapParms) {
    this.groundStations = groundStations;
    this.mapParms = mapParms;
  }
  /****************************************************************************
  * draw.
  ****************************************************************************/
  public void draw (Graphics g) {
    g.setColor(Color.green);
    g.setClip(mapParms.getViewport());
    for (int i = 0; i < groundStations.getStations().length; i++) {
       GroundStation station = groundStations.getStations()[i];
       // mapParms.drawPoint(g,station.getLat(),station.getLon(),5);
       mapParms.drawText(g,station.getLat(),station.getLon(),station.getId());
    }
    g.setClip(null);
  }
}
