/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   9-Dec-05, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;

public class GroundStations {
  private GroundStation[] stations;
  /****************************************************************************
  * GroundStations.
  ****************************************************************************/
  public GroundStations (XmlParser parser) throws Exception {
    XmlParser[] parsers = parser.getElements("groundStation");
    stations = new GroundStation[parsers.length];
    for (int i = 0; i < parsers.length; i++) {
       stations[i] = new GroundStation(parsers[i]);
    }
  }
  /****************************************************************************
  * getStations.
  ****************************************************************************/
  public GroundStation[] getStations () {
    return stations;
  }
  /****************************************************************************
  * toXml.
  ****************************************************************************/
  public String toXml () {
    StringBuffer xml = new StringBuffer();
    xml.append("<groundStations>");
    for (int i = 0; i < stations.length; i++) {
       xml.append(stations[i].toXml());
    }
    xml.append("</groundStations>");
    return xml.toString();
  }
}
