/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   7-Sep-04, J Love, GST	Original version.
*  15-Apr-05, J Love, GST	More components.
*  10-Feb-06, J Love, GST	Java 1.5.
*  30-Aug-06, J Love, GST	Alignment options.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;
import javax.swing.*;

public class HPanel extends JPanel {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * HPanel.
  ****************************************************************************/
  public HPanel (float alignmentX) {
    this(alignmentX, new Component[] {});
  }
  public HPanel (float alignmentX, Component c1) {
    this(alignmentX, new Component[] {c1});
  }
  public HPanel (float alignmentX, Component c1, Component c2) {
    this(alignmentX, new Component[] {c1,c2});
  }
  public HPanel (float alignmentX, Component[] components) {
    this(components);
    setAlignmentX(alignmentX);
  }
  public HPanel () {
    this(new Component[] {});
  }
  public HPanel (Component c1) {
    this(new Component[] {c1});
  }
  public HPanel (Component c1, Component c2) {
    this(new Component[] {c1,c2});
  }
  public HPanel (Component c1, Component c2, Component c3) {
    this(new Component[] {c1,c2,c3});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4) {
    this(new Component[] {c1,c2,c3,c4});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5) {
    this(new Component[] {c1,c2,c3,c4,c5});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6) {
    this(new Component[] {c1,c2,c3,c4,c5,c6});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11, Component c12) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11, Component c12,
		 Component c13) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11, Component c12,
		 Component c13, Component c14) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11, Component c12,
		 Component c13, Component c14, Component c15) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15});
  }
  public HPanel (Component c1, Component c2, Component c3, Component c4,
  		 Component c5, Component c6, Component c7, Component c8,
		 Component c9, Component c10, Component c11, Component c12,
		 Component c13, Component c14, Component c15, Component c16) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,c16});
  }
  public HPanel (Component[] components) {
    setLayout(new BoxLayout(this,BoxLayout.X_AXIS));
    for (int i = 0; i < components.length; i++) {
       if (components[i] != null) {
	 add(components[i]);
       }
    }
  }
}
