/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  23-Nov-04, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.util.*;
import java.net.*;

public class HostPort {
  private String host;
  private int port;
  /****************************************************************************
  * HostPort.
  ****************************************************************************/
  public HostPort (String hostPort) throws Exception {
    StringTokenizer byColon = new StringTokenizer(hostPort,":");
    switch (byColon.countTokens()) {
      case 2: {
      	this.host = byColon.nextToken();
      	this.port = Integer.parseInt(byColon.nextToken());
      	break;
      }
      default: {
      	throw new Exception("illegal host:port");
      }
    }
  }
  public HostPort (ServerSocket ss) {
    this.host = ss.getInetAddress().getHostAddress();
    this.port = ss.getLocalPort();
  }
  public HostPort (Socket s) {
    this.host = s.getInetAddress().getHostAddress();
    this.port = s.getPort();
  }
  /****************************************************************************
  * getHost.
  ****************************************************************************/
  public String getHost () {
    return host;
  }
  /****************************************************************************
  * getPort.
  ****************************************************************************/
  public int getPort () {
    return port;
  }
  /****************************************************************************
  * toString.
  ****************************************************************************/
  public String toString () {
    return host + ":" + Integer.toString(port);
  }
}
