/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  15-Apr-05, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Java 1.5.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;
import javax.swing.*;

public class IconButton extends JButton {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * IconButton.
  ****************************************************************************/
  public IconButton (ImageIcon icon) {
    this(icon,0);
  }
  public IconButton (ImageIcon icon, int maxWidth) {
    super(icon);
    setMargin(new Insets(1,1,1,1));
    if (maxWidth > 0) {
      setMaximumSize(new Dimension(maxWidth,getPreferredSize().height));
    } else {
      setMaximumSize(getPreferredSize());
    }
  }
}
