/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*    3-Jun-04, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.util.*;

public class IntegerMap {
  private LinkedList<Integer> values = new LinkedList<Integer>();
  private LinkedList<Object> objects = new LinkedList<Object>();
  /****************************************************************************
  * IntegerMap.
  ****************************************************************************/
  public IntegerMap () {

  }
  /****************************************************************************
  * put.
  ****************************************************************************/
  public void put (int value, Object object) {
    if (!contains(value)) {
      values.add(new Integer(value));
      objects.add(object);
    }
  }
  /****************************************************************************
  * contains.
  ****************************************************************************/
  public boolean contains (int value) {
    for (int i = 0; i < values.size(); i++) {
       if (value == values.get(i).intValue()) {
       	 return true;
       }
    }
    return false;
  }
  /****************************************************************************
  * get.
  ****************************************************************************/
  public Object get (int value) {
    for (int i = 0; i < values.size(); i++) {
       if (value == values.get(i).intValue()) {
       	 return objects.get(i);
       }
    }
    return null;
  }
  /****************************************************************************
  * iterator.
  ****************************************************************************/
  public Iterator<Object> iterator () {
    return objects.iterator();
  }
  /****************************************************************************
  * size.
  ****************************************************************************/
  public int size () {
    return values.size();
  }
}
