/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  17-Dec-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Appearance tweaking, etc.
*  18-Oct-06, J Love, GST	Visual preferences saving.
*  10-Jan-07, J Love, GST	Don't display value label.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import javax.swing.*;
import javax.swing.event.*;

public class IntegerSlider extends HPanel {
  private JSlider slider;
  private JLabel valueLabel;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * IntegerSlider.
  ****************************************************************************/
  public IntegerSlider (int min, int initial, int max, String tip) {
    slider = new JSlider(min,max,initial);
    slider.setToolTipText(tip);
    slider.addChangeListener(new SliderChanged());
    valueLabel = new JLabel(Integer.toString(initial));
    add(slider);
  }
  /****************************************************************************
  * getValue.
  ****************************************************************************/
  public int getValue () {
    return slider.getValue();
  }
  /****************************************************************************
  * getValueLabel.
  ****************************************************************************/
  public JLabel getValueLabel () {
    return valueLabel;
  }
  /****************************************************************************
  * setValue.
  ****************************************************************************/
  public void setValue (int value) {
    slider.setValue(value);
  }
  /****************************************************************************
  * SliderChanged.
  ****************************************************************************/
  private class SliderChanged implements ChangeListener {
    public void stateChanged (ChangeEvent ce) {
      valueLabel.setText(Integer.toString(slider.getValue()));
      valueLabel.repaint();
    }
  }
}
