/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  13-Dec-05, J Love, GST	Original version.
*  15-Aug-06, J Love, GST	Drawing of text.  Zooming rectangle.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import gov.nasa.gsfc.drl.geo.*;
import java.awt.*;

public interface MapParms {
  public int getWidth ();
  public int getHeight ();
  public Rectangle getViewport ();
  public void drawImage (Graphics g, Image image);
  public void drawPoint (Graphics g, double lat, double lon, int size);
  public void drawLine (Graphics g, double lat0, double lon0,
      				    double lat1, double lon1);
  public void fillPoly (Graphics g, double lat0, double lon0, double lat1,
			double lon1, double lat2, double lon2, double lat3,
			double lon3);
  public void drawText (Graphics g, double lat, double lon, String text);
  public void drawGrid (Graphics g);
  public void drawBorder (Graphics g);
  public boolean isZoomable ();
  public Rectangle resize (int width, int height);
  public Rectangle zoom (double factor, int x, int y);
  public Rectangle zoom (int x0, int y0, int x1, int y1);
  public Rectangle zoom (double beginRightLat, double beginRightLon,
		         double beginLeftLat, double beginLeftLon,
		         double endRightLat, double endRightLon,
		         double endLeftLat, double endLeftLon);
  public double[] getLatLon (int x, int y);
  public String getAreaFilter();
  public boolean isVisible (double lat, double lon);
  public boolean isVisible (double minLat, double maxLat,
      			    double minLon, double maxLon);
  public boolean isVisible (Geo.Extents extents);
  public boolean isVisible (GeoBlock geoBlock);
}
