/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*   1-Sep-05, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Clean up.
*   6-Aug-06, J Love, GST	UTC.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import javax.swing.*;
import java.util.*;
import java.text.*;

public class MenuBarClock extends JLabel {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * MenuBarClock.
  ****************************************************************************/
  private JLabel thisLabel;
  private static final String clockFormat = "yyyy-MM-dd HH:mm:ss zzz";
  private SimpleDateFormat utcFmt = new DateFormatUTC(clockFormat);
  public MenuBarClock (boolean utc) {
    super("");
    thisLabel = this;
  }
  public void start () {
    java.util.Timer timer = new java.util.Timer();
    timer.schedule(new UpdateClock(),0*1000,1*1000);
  }
  private class UpdateClock extends TimerTask {
    public void run () {
      String text = utcFmt.format(new Date()) + "  ";
      GUtil.invokeAndWait(new UpdateLabel(thisLabel,text));
    }
  }
  private class DateFormatUTC extends SimpleDateFormat {
    private static final long serialVersionUID = 1L;
    public DateFormatUTC (String pattern) {
      super(pattern);
      setLenient(false);
      setTimeZone(TimeZone.getTimeZone("UTC"));
    }
  }
}
