/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  31-May-04, J Love, GST	Original version.
*   8-Feb-06, J Love, GST	Java 1.5.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.util.*;

public class ObjectQueue {
  private LinkedList<Object> list = new LinkedList<Object>();
  /****************************************************************************
  * put.
  ****************************************************************************/
  public synchronized void put (Object object) {
    list.addLast(object);
    // System.out.println(list.size());
    notify();
  }
  /****************************************************************************
  * get.
  ****************************************************************************/
  public synchronized Object get () {
    while (list.size() < 1) {
      try {
	wait();
      } catch (InterruptedException e) {
	// Ignored...
      }
    }
    return list.removeFirst();
  }
}
