/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   3-Nov-05, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;

public class ScanGroup {
  private ScanBlock scanBlock;
  private GeoBlock geoBlock;
  private DataBlock bowedBlock;
  private DataBlock debowedBlock;
  /****************************************************************************
  * ScanBlocks.
  ****************************************************************************/
  public ScanGroup (ScanBlock scanBlock, GeoBlock geoBlock,
  		     DataBlock bowedBlock, DataBlock debowedBlock) {
    this.scanBlock = scanBlock;
    this.geoBlock = geoBlock;
    this.bowedBlock = bowedBlock;
    this.debowedBlock = debowedBlock;
  }
  /****************************************************************************
  * getScanBlock.
  ****************************************************************************/
  public ScanBlock getScanBlock () {
    return scanBlock;
  }
  /****************************************************************************
  * getGeoBlock.
  ****************************************************************************/
  public GeoBlock getGeoBlock () {
    return geoBlock;
  }
  /****************************************************************************
  * getBowedBlock.
  ****************************************************************************/
  public DataBlock getBowedBlock () {
    return bowedBlock;
  }
  /****************************************************************************
  * getDebowedBlock.
  ****************************************************************************/
  public DataBlock getDebowedBlock () {
    return debowedBlock;
  }
}
