/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   3-Sep-04, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;

public class TrueColorEnhancement2 implements EnhancementAlgorithm {
  /****************************************************************************
  * enhance.
  ****************************************************************************/
  public void enhance (int[] values) {
    for (int c = 0; c < values.length; c++) {
       double value = values[c];
       double y = Math.pow(1.0-(value/255.0),3.5);
       double contrast = 2.5 * y;
       values[c] += Util.toRange(0,(int)(contrast*value),255);
    }
  }
}
