/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  21-Jul-04, J Love, GST	Original version.
*  13-Jul-06, J Love, GST	Added color selection.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import javax.swing.*;
import java.awt.*;

public class UpdateLabel implements Runnable {
  private JLabel field;
  private String value;
  private Color color;
  public UpdateLabel (JLabel field, String value) {
    this.field = field;
    this.value = value;
    this.color = null;
  }
  public UpdateLabel (JLabel field, String value, Color color) {
    this.field = field;
    this.value = value;
    this.color = color;
  }
  public void run () {
    field.setText(value);
    if (color != null) {
      field.setForeground(color);
    }
    field.repaint();
   }
}
