/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*   7-Sep-04, J Love, GST	Original version.
*  10-Feb-06, J Love, GST	Java 1.5.
*  30-Aug-06, J Love, GST	Alignment options.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.awt.*;
import javax.swing.*;

public class VPanel extends JPanel {
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * VPanel (constructor).
  ****************************************************************************/
  public VPanel (float alignmentY) {
    this(alignmentY, new Component[] {});
  }
  public VPanel (float alignmentY, Component c1) {
    this(alignmentY, new Component[] {c1});
  }
  public VPanel (float alignmentY, Component c1, Component c2) {
    this(alignmentY, new Component[] {c1,c2});
  }
  public VPanel (float alignmentY, Component c1, Component c2, Component c3) {
    this(alignmentY, new Component[] {c1,c2,c3});
  }
  public VPanel (float alignmentY, Component c1, Component c2, Component c3,
		 Component c4) {
    this(alignmentY, new Component[] {c1,c2,c3,c4});
  }
  public VPanel (float alignmentY, Component[] components) {
    this(components);
    setAlignmentY(alignmentY);
  }
  public VPanel () {
    this(new Component[] {});
  }
  public VPanel (Component c1) {
    this(new Component[] {c1});
  }
  public VPanel (Component c1, Component c2) {
    this(new Component[] {c1,c2});
  }
  public VPanel (Component c1, Component c2, Component c3) {
    this(new Component[] {c1,c2,c3});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4) {
    this(new Component[] {c1,c2,c3,c4});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4,
		 Component c5) {
    this(new Component[] {c1,c2,c3,c4,c5});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4,
		 Component c5, Component c6) {
    this(new Component[] {c1,c2,c3,c4,c5,c6});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4,
		 Component c5, Component c6, Component c7) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4,
		 Component c5, Component c6, Component c7, Component c8) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8});
  }
  public VPanel (Component c1, Component c2, Component c3, Component c4,
		 Component c5, Component c6, Component c7, Component c8,
		 Component c9) {
    this(new Component[] {c1,c2,c3,c4,c5,c6,c7,c8,c9});
  }
  public VPanel (Component[] components) {
    setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
    for (int i = 0; i < components.length; i++) {
       if (components[i] != null) {
	 add(components[i]);
       }
    }
  }
}
