/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/UTIL
*
*  History:
*
*  19-Dec-05, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.util;
import java.io.*;

public class XmlBlock implements Block {
  private String msg;
  /****************************************************************************
  * XmlBlock.
  ****************************************************************************/
  public XmlBlock (String msg) {
    this.msg = msg;
  }
  public XmlBlock (DataInput in) throws Exception {
    read(in);
  }
  /****************************************************************************
  * read.
  ****************************************************************************/
  public void read (DataInput in) throws Exception {
    msg = in.readUTF();
  }
  /****************************************************************************
  * getMsg.
  ****************************************************************************/
  public String getMsg () {
    return msg;
  }
  /****************************************************************************
  * write.
  ****************************************************************************/
  public void write (DataOutput out) throws Exception {
    out.writeInt(Simulcast.XML_BLOCK_CODE);
    out.writeUTF(msg);
  }
}
