/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  18-Oct-06, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.viewer;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import java.awt.*;

public interface Layout {
  public void loadPass (String passName, int platformCode, int instrumentCode,
			int directionCode, int startSolorCode, boolean play);
  public void doHeader (String passName, HeaderBlock headerBlock) throws Exception;
  public void doScan (String passName, GeoBlock geoBlock, Color[][][] colors) throws Exception;
  public void doFooter (String passName);
  public void playerSelected (String passName);
  public void playerRemoved (String removedPassName, String selectedPassName);
  public VisualSelector getVisualSelector ();
  public void clear ();
}
