/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  14-Jul-06, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.viewer;
import java.awt.*;
import javax.swing.*;

public class PanelScroller extends JPanel {
  private JScrollPane scrollPane;
  private JScrollBar vScrollBar;
  private JScrollBar hScrollBar;
  private boolean isAscending;
  private static final long serialVersionUID = 1L;
  /****************************************************************************
  * PanelScroller.
  ****************************************************************************/
  public PanelScroller () {
    setLayout(new BorderLayout());
    scrollPane = new JScrollPane(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
    				 JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    vScrollBar = scrollPane.getVerticalScrollBar();
    hScrollBar = scrollPane.getHorizontalScrollBar();
    add(scrollPane,BorderLayout.CENTER);
  }
  /****************************************************************************
  * setPanel.
  ****************************************************************************/
  public void setPanel (JPanel panel, boolean isAscending) {
    scrollPane.setViewportView(panel);
    this.isAscending = isAscending;
  }
  /****************************************************************************
  * scroll.
  ****************************************************************************/
  public void scroll () {
    if (isAscending) {
      vScrollBar.setValue(vScrollBar.getMinimum());
    } else {
      vScrollBar.setValue(vScrollBar.getMaximum());
    }
  }
  /****************************************************************************
  * center.
  ****************************************************************************/
  public void center () {
    hScrollBar.setValue(((hScrollBar.getMaximum() - hScrollBar.getVisibleAmount()) - hScrollBar.getMinimum()) / 2);
  }
}
