/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
/******************************************************************************
*
*  SIMULCAST/CLIENT
*
*  History:
*
*  18-Oct-06, J Love, GST	Original version.
*
******************************************************************************/

package gov.nasa.gsfc.aisb.simulcast.viewer;
import gov.nasa.gsfc.aisb.simulcast.util.*;
import java.awt.*;
import java.io.*;

public interface Visual {
  public Visual newInstance ();
  public String getRequestBandsElement ();
  public void doHeader (HeaderBlock headerBlock) throws Exception;
  public Color[][][] doScan (ScanBlock scanBlock, byte[][][] data) throws Exception;
  public void setControls (boolean enabled);
  public void set (XmlParser parser) throws Exception;
  public void toXml (PrintWriter out) throws Exception;
}
